@use "@/theme/base.scss";

.sudokuGrid {
  display: grid;
  grid-template-columns: repeat(9, 1fr);
  border: 2px solid var(--muted-color);
  border-radius: var(--border-radius);
  overflow: hidden;
  // @include base.elevated;
}

.sudokuValue {
  aspect-ratio: 1;
  margin: 0 !important;
  border-radius: 0;
  padding: 0 !important;
  text-align: center;
  vertical-align: center;

  &:focus {
    z-index: 99;
  }

  &:disabled {
    background: transparent;
    opacity: 1 !important;
  }

  &:not(:focus) {
    @each $side in (left,right,bottom,top) {
      &[data-#{$side}-border="2"] {
        border-#{$side}: 1px solid var(--muted-color);
      }
      &[data-#{$side}-border="1"] {
        border-#{$side}: 1px solid var(--border-color);
      }
      &[data-#{$side}-border="0"] {
        border-#{$side}: 1px solid transparent;
      }
    }
  }

}

.sudokuControls {
  margin-top: var(--border-radius);
  > p {
    margin: 0;
  }
}

.sudokuProgress {
  display: flex;
  flex-direction: row;
  align-items: center;
  align-content: center;
  > :global(.icon) {
    margin-right: var(--spacing)
  }
  > progress {
    margin: 0;
  }
}


